import { AbsoluteFilePath } from "./AbsoluteFilePath";
export declare type FileOrDirectory = File | Directory;
export interface File {
    type: "file";
    name: string;
    contents: string;
}
export interface Directory {
    type: "directory";
    name: string;
    contents: FileOrDirectory[];
}
export declare namespace getDirectoryContents {
    interface Options {
        fileExtensions?: string[];
    }
}
export declare function getDirectoryContents(absolutePath: AbsoluteFilePath, options?: getDirectoryContents.Options): Promise<FileOrDirectory[]>;
